### Method

# Gio Subprocess communicate_utf8_async

since: 2.40

#### Declaration

    void
    g_subprocess_communicate_utf8_async (
      GSubprocess* subprocess,
      const char* stdin_buf,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronous version of g_subprocess_communicate_utf8(). Complete invocation with g_subprocess_communicate_utf8_finish().

Available since: 2.40

#### Parameters

`stdin_buf`

  Type: `const char*`

  Input data, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.